webpackJsonp([26],{

/***/ 641:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CollegeIdentityPageModule", function() { return CollegeIdentityPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__college_identity__ = __webpack_require__(736);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CollegeIdentityPageModule = (function () {
    function CollegeIdentityPageModule() {
    }
    CollegeIdentityPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__college_identity__["a" /* CollegeIdentityPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__college_identity__["a" /* CollegeIdentityPage */]),
            ],
        })
    ], CollegeIdentityPageModule);
    return CollegeIdentityPageModule;
}());

//# sourceMappingURL=college-identity.module.js.map

/***/ }),

/***/ 736:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CollegeIdentityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__provider_index__ = __webpack_require__(2);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var CollegeIdentityPage = (function () {
    function CollegeIdentityPage(navCtrl, dataApi, modalCtrl, tip, navParams) {
        this.navCtrl = navCtrl;
        this.dataApi = dataApi;
        this.modalCtrl = modalCtrl;
        this.tip = tip;
        this.navParams = navParams;
        this.status = 0; //认证状态
        this.model = {
            collegeid: '',
            business_licence: '',
            id_card_front: '',
            register_number: '' //营业执照注册号
        };
        this.config = __WEBPACK_IMPORTED_MODULE_2__provider_index__["b" /* Config */].getInstance(); //实例化config             
        if (this.navParams.get('college')) {
            console.log("高校的信息-----------------------CollegeIdentityPage");
            this.college = this.navParams.get('college');
            this.getCollegeIdentity(); //获取企业高校认证信息
            this.lastAuthenticationIdentity(); //获取企业认证信息
            this.getDepartment(); //获取企业信息
        }
        if (this.navParams.get('collegeDetails')) {
            this.college = JSON.parse(JSON.stringify(this.navParams.get('collegeDetails')));
            this.identity = JSON.parse(JSON.stringify(this.navParams.get('identity')));
            this.status = this.identity.status;
            console.log("高校的信息-----------------------CollegeIdentityPage");
            console.log(this.college);
            console.log(this.identity);
            this.lastAuthenticationIdentity(); //获取企业认证信息
            this.getDepartment(); //获取企业信息
        }
    }
    //获取企业在高校认证信息
    CollegeIdentityPage.prototype.getCollegeIdentity = function () {
        var _this = this;
        var loader = this.tip.presentLoading('加载中...');
        this.dataApi.lastCollegeAuthenticationIdentity(this.college.collegeid).then(function (res) {
            loader.dismiss();
            console.log("获取企业在高校的认证信息-----------------------CollegeIdentityPage");
            console.log(res);
            if (res) {
                _this.status = res.status;
                _this.identity = res;
            }
            else {
                _this.status = 0;
            }
        }).catch(function (err) {
            loader.dismiss();
            console.log(err);
        });
    };
    //获取上次认证信息
    CollegeIdentityPage.prototype.lastAuthenticationIdentity = function () {
        var _this = this;
        if ((!this.config.lastIdentity) || (this.config.lastIdentity.status != 2)) {
            this.dataApi.lastAuthenticationIdentity().then(function (res) {
                console.log("获取上次认证信息---------------------------CollegeIdentityPage");
                console.log(res);
                if (res) {
                    _this.model.collegeid = _this.college.collegeid;
                    _this.model.business_licence = res.business_license;
                    _this.model.id_card_front = res.id_card_front;
                    _this.model.register_number = res.register_number;
                    if (res.status == 2) {
                        _this.config.department.is_certified = true;
                        _this.dataApi.setLocalDepartment(_this.config.department);
                    }
                    _this.config.lastIdentity = res;
                    _this.dataApi.setLastIdentity(_this.config.lastIdentity);
                }
            }).catch(function (error) {
                console.log(error);
            });
        }
        else {
            this.model.collegeid = this.college.collegeid;
            this.model.business_licence = this.config.lastIdentity.business_license;
            this.model.id_card_front = this.config.lastIdentity.id_card_front;
            this.model.register_number = this.config.lastIdentity.register_number;
        }
    };
    //获取企业信息
    CollegeIdentityPage.prototype.getDepartment = function () {
        var _this = this;
        if (this.dataApi.getLocalDepartment()) {
            this.myDepartment = this.dataApi.getLocalDepartment();
            console.log("企业信息本地存储---------------------------CollegeIdentityPage");
            console.log(this.dataApi.getLocalDepartment());
        }
        else {
            this.dataApi.getDepartment().then(function (res) {
                console.log("企业信息获取线上数据---------------------------CollegeIdentityPage");
                console.log(res);
                _this.dataApi.setLocalDepartment(res);
            }).catch(function (error) {
                console.log(error);
                _this.tip.presentToast(error);
            });
        }
    };
    //我要报名
    CollegeIdentityPage.prototype.goSign = function () {
        var _this = this;
        console.log(this.config.lastIdentity);
        if (this.myDepartment.is_certified) {
            var modal = this.modalCtrl.create('ModalManageConfirm', {
                initName: '是否确定提交申请？',
                initText: '上传证件后，将自动提交当前高校进行审核',
                initTrue: '确定',
                initFalse: '取消'
            });
            modal.onDidDismiss(function (data) {
                console.log(data);
                if (data == "true") {
                    _this.uploadMessage(); //提交高校认证
                }
            });
            modal.present();
        }
        else {
            var modal = this.modalCtrl.create('ModalManageConfirm', {
                initName: '还未上传公司证件',
                initText: '上传证件后，将自动提交当前高校进行审核',
                initTrue: '立即上传',
                initFalse: '考虑一下'
            });
            modal.onDidDismiss(function (data) {
                console.log(data);
                if (data == "true") {
                    if (!_this.config.lastIdentity) {
                        _this.navCtrl.push('AboutIdentity', { 'collegeid': _this.college.collegeid });
                    }
                    else {
                        _this.uploadMessage(); //提交高校认证
                    }
                }
            });
            modal.present();
        }
    };
    //提交认证信息
    CollegeIdentityPage.prototype.uploadMessage = function () {
        var _this = this;
        var loader = this.tip.presentLoading('正在加载中...');
        this.dataApi.uploadDepartmentIdentity(this.model).then(function (res) {
            loader.dismiss();
            setTimeout(function () {
                _this.tip.presentToast("提交成功");
                _this.navCtrl.pop(); //-------返回个人中心页面
            }, 600);
        }).catch(function (error) {
            console.log(error);
            loader.dismiss();
            setTimeout(function () {
                _this.tip.presentToast(error);
            }, 600);
        });
    };
    CollegeIdentityPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CollegeIdentityPage');
    };
    CollegeIdentityPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-college-identity',template:/*ion-inline-start:"G:\GWL\src\pages\college-identity\college-identity.html"*/'<ion-header>\n\n  <ion-navbar>\n    <ion-title>申请校招</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n <!--高校信息基本信息-->\n <div class="home-resume-cont" *ngIf="college"> \n  <div class="home-resume-list">\n     <!--上部-->\n     <div class="up-block">\n        <!--头像-->\n        <div class="left-block">\n          <img src="{{college.logo}}" onerror="this.src=\'assets/images/none.png\'">\n        </div>\n        <!--右边高校信息-->\n        <div class="right-block">\n          <div class="name-text">{{college.name}}</div>\n          <div class="info-text">\n            <span *ngIf="college.region_text"><img src="assets/images/college-address.png">{{college.region_text}}</span>               \n          </div>\n        </div>\n     </div>\n  </div> \n </div><!--高校信息基本信息结束-->\n <!-- 校招文本要求 -->\n <div class="resume-model-block">\n   <!-- 校招要求 -->\n  <div class="model-title"><span></span>校招要求</div>\n  <div class="text-block">\n    1.完善公司基本信息，包括：公司名称、公司简介、发布职位等；<br/>\n    2.资质审核：提交公司营业执照等相关证件；\n  </div><!-- 校招要求 -->\n  <!-- 校招内容 -->\n  <div class="model-title"><span></span>校招内容</div>\n  <div class="text-block">\n    1.职位招聘：正在招聘的职位将自动进入高校就业中心后台，审核通过后，可在高校就业信息网展示；<br/>\n    2.品牌展示：用人单位资质经审核后，有机会在高校就业信息网单位品牌栏目展示；<br/>\n    3.优先资格：经过高校审核的企业，将会有机会优先参加招聘会宣讲会；\n  </div><!-- 校招内容 -->\n </div>\n  <!-- 审核未通过原因 -->\n  <div class="resume-model-block" *ngIf="status==3">\n     <div class="model-title"><span></span>未通过原因</div>\n     <div class="text-block" *ngIf="identity">{{identity.remark}}</div>\n  </div><!-- 审核未通过原因 -->\n</ion-content>\n<ion-footer>\n  <button *ngIf="status==0" ion-button (click)="goSign()">提交申请</button>\n  <button *ngIf="status==1" class="gray" ion-button>审核中</button>\n  <button *ngIf="status==2" class="green" ion-button>已通过</button>\n  <button *ngIf="status==3" (click)="goSign()" ion-button>未通过(点击重新提交)</button>\n</ion-footer>\n'/*ion-inline-end:"G:\GWL\src\pages\college-identity\college-identity.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__provider_index__["d" /* DataApi */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_2__provider_index__["i" /* Tip */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], CollegeIdentityPage);
    return CollegeIdentityPage;
}());

//# sourceMappingURL=college-identity.js.map

/***/ })

});
//# sourceMappingURL=26.js.map