webpackJsonp([27],{

/***/ 624:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AboutCollegeIdentityPageModule", function() { return AboutCollegeIdentityPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__about_college_identity__ = __webpack_require__(735);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AboutCollegeIdentityPageModule = (function () {
    function AboutCollegeIdentityPageModule() {
    }
    AboutCollegeIdentityPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__about_college_identity__["a" /* AboutCollegeIdentityPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__about_college_identity__["a" /* AboutCollegeIdentityPage */]),
            ],
        })
    ], AboutCollegeIdentityPageModule);
    return AboutCollegeIdentityPageModule;
}());

//# sourceMappingURL=about-college-identity.module.js.map

/***/ }),

/***/ 735:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutCollegeIdentityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__provider_index__ = __webpack_require__(2);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var AboutCollegeIdentityPage = (function () {
    function AboutCollegeIdentityPage(navCtrl, dataApi, tip, navParams) {
        this.navCtrl = navCtrl;
        this.dataApi = dataApi;
        this.tip = tip;
        this.navParams = navParams;
        this.isInit = false; //是否初始化完成
        this.collegeList = []; //认证的高校列表
        this.model = {
            offset: 0,
            limit: 10
        };
        this.config = __WEBPACK_IMPORTED_MODULE_2__provider_index__["b" /* Config */].getInstance(); //实例化config
        this.getCollegeIdentityList(); //获取高校认证列表       
    }
    //获取高校认证列表
    AboutCollegeIdentityPage.prototype.getCollegeIdentityList = function () {
        var _this = this;
        var loader = this.tip.presentLoading('数据加载中...');
        this.dataApi.getCollegeIdentityList(this.model).then(function (res) {
            loader.dismiss();
            console.log("获取高校认证列表--------------------------------AboutCollegeIdentityPage");
            console.log(res);
            _this.isInit = true;
            _this.collegeList = res.list;
            _this.listCount = res.count;
        }).catch(function (err) {
            _this.isInit = true;
            loader.dismiss();
            console.log(err);
        });
    };
    //我要报名
    AboutCollegeIdentityPage.prototype.goSign = function (data) {
        var model = {
            name: data.college_name,
            collegeid: data.collegeid,
            logo: data.logo,
            region_text: data.region_text
        };
        var identity = {
            status: data.status,
            remark: data.remark
        };
        this.navCtrl.push("CollegeIdentityPage", { identity: identity, collegeDetails: model });
    };
    //上拉刷新
    AboutCollegeIdentityPage.prototype.pullToRefresh = function (refresher) {
        var _this = this;
        this.model.offset = 0;
        console.log('上拉刷新');
        this.dataApi.getCollegeIdentityList(this.model).then(function (res) {
            refresher.complete();
            console.log("获取高校列表--------------------------------AboutCollegeIdentityPage");
            console.log(res);
            _this.collegeList = res.list;
            _this.listCount = res.count;
        }).catch(function (err) {
            refresher.complete();
            console.log(err);
        });
    };
    //下拉加载
    AboutCollegeIdentityPage.prototype.doInfinite = function (refresher) {
        var _this = this;
        this.model.offset += 10;
        console.log('下拉加载--------------------AboutCollegeIdentityPage');
        this.dataApi.getCollegeIdentityList(this.model).then(function (res) {
            refresher.complete();
            _this.collegeList = _this.collegeList.concat(res.list);
            _this.listCount = res.count;
        }).catch(function (error) {
            refresher.complete();
            console.log(error);
        });
    };
    AboutCollegeIdentityPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-about-college-identity',template:/*ion-inline-start:"G:\GWL\src\pages\about-college-identity\about-college-identity.html"*/'<ion-header>\n\n  <ion-navbar>\n    <ion-title>高校认证</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <!-- 上拉刷新 -->\n  <ion-refresher (ionRefresh)="pullToRefresh($event)" style="border: none">\n    <ion-refresher-content pullMax="200" pullingIcon="ios-refresh" pullingText="放开我" refreshingSpinner="circles" refreshingText="刷新啦...">\n    </ion-refresher-content>\n  </ion-refresher>\n  <!-- 修改 -->  \n  <div style="text-align: center; line-height: 30px; background-color: #d9b6ff;color: #fefefe;">如认证过程中遇到问题，请联系客服{{config.CustomerServicePhone}}</div>\n  <!--数据为空时显示-->\n  <div class="none-cont" *ngIf="isInit&&(collegeList.length==0)">    \n    <img class="none-pic" src="assets/images/resume-search-fail.png">这里什么也没有~\n  </div>\n  <!-- 循环列表 -->\n  <ion-list *ngIf="isInit&&(collegeList.length>0)">\n    <ion-item>\n      <div class="home-resume-cont"> \n        <div class="home-resume-list"  (click)="goSign(item)" *ngFor="let item of collegeList">\n          <!--上部-->\n          <div class="up-block">\n            <!--头像-->\n            <div class="left-block">\n              <img src="{{item.logo}}" onerror="this.src=\'assets/images/none.png\'">\n            </div>\n            <!--右边高校信息-->\n            <div class="right-block">\n              <div class="name-text">{{item.college_name}}</div>\n               <div class="info-text">\n                <span *ngIf="item.phone"><img src="assets/images/college-phone.png">{{item.phone}}</span>   \n                <span class="span-position" *ngIf="item.status==1">审核中</span>\n                <span class="span-position green" *ngIf="item.status==2">已通过</span>\n                <span class="span-position red" *ngIf="item.status==3">未通过</span>           \n              </div>\n              <!-- 认证状态 -->\n              <!-- <button *ngIf="item.status==1" class="gray" ion-button>审核中</button>\n              <button *ngIf="item.status==2" class="green" ion-button>已通过审核 </button> -->\n              <!-- <button *ngIf="item.status==3" ion-button>未通过</button> -->\n            </div>\n          </div>       \n       </div>    \n      </div>      \n    </ion-item>\n  </ion-list>\n  <!-- 下拉加载 -->\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="collegeList.length>0  && isInit && model.offset<=(listCount-10)">\n    <ion-infinite-scroll-content loadingSpinner="circles" loadingText="加载中...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n  <div *ngIf="collegeList.length>0 && isInit && model.offset>=(listCount-10)" style="height: 36px;line-height: 36px;text-align: center;color: #999;font-size: 13px;">-- 加载完毕 --</div>\n</ion-content>\n'/*ion-inline-end:"G:\GWL\src\pages\about-college-identity\about-college-identity.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__provider_index__["d" /* DataApi */],
            __WEBPACK_IMPORTED_MODULE_2__provider_index__["i" /* Tip */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], AboutCollegeIdentityPage);
    return AboutCollegeIdentityPage;
}());

//# sourceMappingURL=about-college-identity.js.map

/***/ })

});
//# sourceMappingURL=27.js.map